# UniTAP.dev.ports.hdtx4xx

class HDTX4xx(UniTAP.dev.ports.hdtx.HDTX):

Main class of `HDTX4xx` object. Inherited from class `HDTX`. Class describes capabilities of 400th (4XX) series of HDMI devices in Source (TX - transmitter) role.

HDTX4xx( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)

##### Inherited Members

UniTAP.dev.ports.hdtx.HDTX
  link
  pg
  edid
  hdcp
  event_capturer
  cec
UniTAP.dev.ports.tx.TX
  ag